Skip to main content
POST
/
workspaces
/
{workspace_id}
/
workflows
/
{workflow_id}
/
publish
Error
A valid request URL is required to generate request examples
{
  "branch": "<string>",
  "base_branch": "<string>",
  "message": "<string>",
  "commit_sha": "<string>",
  "pr_url": "<string>",
  "pr_number": 123,
  "pr_reused": false
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

workspace_id
string<uuid>
required
workflow_id
required
Pattern: wf_[0-9a-zA-Z]+

Body

application/json
message
string | null
branch
string | null
create_pr
boolean
default:false
pr_base_branch
string | null

Response

Successful Response

status
enum<string>
required
Available options:
committed,
no_op
branch
string
required
base_branch
string
required
message
string
required
commit_sha
string | null
pr_url
string | null
pr_number
integer | null
pr_reused
boolean
default:false